• Dirk Eddelbuettel's avatar
    Import Debian changes 2.0.1-4 · 9a058e8f
    Dirk Eddelbuettel authored
    r-base (2.0.1-4) unstable; urgency=low
    
      * Removed erreneously left-over doc-base file (Closes: #296194)
      * debian/r-doc-{html,pdf}.links: Link individual files, not the
        entire manual directory, in order to circumvent a dhelp bug 
    
    r-base (2.0.1-3) unstable; urgency=low
    
      * debian/r-doc-html.doc-base.*: Added five doc-base control files
        to register the html documentation with doc-base (Closes: #296089)
    
    r-base (2.0.1-2) unstable; urgency=low
    
      * debian/control: Switch the Depends: on the helper package r-base-dev
        to libreadline5-dev to help readline5 migration (Closes: #291655)
      * debian/control: Also switch Build-Depends: to libreadline5-dev
    
    r-base (2.0.1-1) unstable; urgency=medium
    
      * New upstream release
      * Urgency medium as this version contains numerous upstream fixes, 
        as well as Debian fixes from 2.0.0-4 that have are not yet in testing 
    
      * debian/control: Add r-recommended to Depends: for r-base
    
    r-base (2.0.0-4) unstable; urgency=medium
    
      * Urgency medium to get the fix into the testing distribution in which 
        r-recommended currently has insufficiently detailed Depends:
      * debian/control: Change Depends: for r-recommended to be versioned, and
        impose a minimum standard of package versions rebuilt under R 2.0.0 
        as required by the underlying lazyloading changes (Closes: #278528)
    
    r-base (2.0.0-3) unstable; urgency=low
    
      * Two improvements suggested by Kurt Hornik:
        - debian/control: r-base now Depends: on r-base-core (= ${Source-Version})
        - debian/control: Fix MASS book title in Description: of r-recommends
    
      * Reorganisation of r-mathlib suggested and tested by Faheem Mitha:
        - debian/control: r-mathlib now only Recommends: insteads of Depends:
          on r-base-core and r-base-dev (Closes: #276038)
        - debian/rules: Small changes to give r-mathlib its own doc directory
        - debian/r-mathlib.links: Renamed to r-mathlib.links.unused disable
      
      * Update to use of Lapack code as suggested by Doug Bates:
        - debian/rules: Set Lapack back to --with-lapack=no
        - debian/control: Remove "lapack3-dev | atlas3-base-dev" from Build-Depends
        - debian/control: Remove "lapack3-dev | atlas3-base-dev | liblapack-3.so"
          from Depends for r-base-dev as well
        - debian/rules: Turn 'make check' back on (outside of arm)
    
    r-base (2.0.0-2) unstable; urgency=low
    
      * src/main/startup.c: Removed 'static' on RestoreAction declaration
        as recommend by Brian Ripley in bug report follow-up (Closes: #275791)
    
    r-base (2.0.0-1) unstable; urgency=low
    
      * New upstream release
      
      * src/library/tools/R/admin.R, src/scripts/INSTALL.in: Applied
        small patch by Brian Ripley to address package build issues
    
    r-base (1.9.1.beta.20040929-1) experimental; urgency=low
    
      * Upgraded to the R 2.0.0 beta release candidate dated 2004-09-29
      * Still uploading to 'experimental' to keep 1.9.1-3 in testing
    
    r-base (1.9.1.beta.20040928-1) experimental; urgency=low
    
      * Upgraded to the R 2.0.0 beta release candidate dated 2004-09-28
      * Still uploading to 'experimental' to keep 1.9.1-3 in testing
      * debian/rules: No longer install BUGS which is no longer in upstream sources
    
    r-base (1.9.1.beta.20040925-1) experimental; urgency=low
    
      * Upgraded to the R 2.0.0 beta release candidate dated 2004-09-25
      * Still uploading to 'experimental' to keep 1.9.1-3 in testing
    
    r-base (1.9.1.beta.20040921-1) experimental; urgency=low
    
      * Upgraded to the R 2.0.0 beta release candidate dated 2004-09-21
      * Still uploading to 'experimental' to keep 1.9.1-3 in testing
    
    r-base (1.9.1.alpha.20040912-1) experimental; urgency=low
    
      * Upgraded to the R 2.0.0 alpha release candidate dated 2004-09-12
      * Still uploading to 'experimental' as 1.9.1-3 is not yet in testing
    
    r-base (1.9.1.alpha.20040906-1) experimental; urgency=low
    
      * Upgraded to the initial R 2.0.0 alpha release candidate dated 2004-09-06 
    
      * Distribution set to 'experimental' as we would like the previous release
        1.9.1-3 to migrate to 'testing' first; as that has happened we will make
        alpha and/or beta releases of 2.0.0 to 'unstable' prior to the formal 
        release  
    
    r-base (1.9.1-3) unstable; urgency=low
    
      * debian/control: Expanded Depends for r-base-dev to include virtual
        packages libblas-3.so and liblapack-3.so as final alternatives.
      * debian/copyright: Author list updated as suggested by Kurt Hornik
      * src/modules/gnome/system.c: Change 'R_Interactive = 1' instead of the 
        isatty() call, as suggested by Brian D. Ripley (Closes: #269107)
    
    r-base (1.9.1-2) unstable; urgency=low
    
      * debian/r-base-core.postinst: Papersize code conditional on paperconf
      * debian/control: Added Suggests for libpaper-utils
    
    r-base (1.9.1-1) unstable; urgency=low
    
      * Upgraded to version 1.9.1 released today
    
      * debian/rules: Configure with R_PAPERSIZE='letter' 
      * debian/r-base-core.postinst: Re-wrote papersize setting code
    
    r-base (1.9.0.beta.20040614-1) unstable; urgency=low
    
      * Upgraded to the initial 1.9.1 beta release candidate of 2004-06-14
    
    r-base (1.9.0.alpha.20040607-1) unstable; urgency=low
    
      * Upgraded to the initial 1.9.1 alpha release candidate of 2004-06-07
    
      * Contains upstream fix for version number in search entry of CRAN
        packages, with thanks to Kurt Hornik (Closes: #248430)
      
      * debian/Renviron-R_PAPERSIZE.patch: New patch to set R_PAPERSIZE in 
        /etc/R/Renviron by respecting both a prior setting and the value
        in /etc/papersize, with thanks to Matej Cepl  (Closes: #245525)
    
      * debian/control: Remove unversioned g++ from Build-Depends [ lintian ]
      * debian/control: r-mathlib, r-recommended get versioned Depends
        on r-base-core as doc directories are symlinked [ lintian ]
    
    r-base (1.9.0-1) unstable; urgency=low
    
      * Upgraded to version 1.9.0 released today
    
    r-base (1.8.1.cvs.20040410-1) unstable; urgency=low
    
      * Upgraded to beta release candidate 2004-04-10 of R 1.9.0
    
    r-base (1.8.1.cvs.20040331-1) unstable; urgency=low
    
      * Upgraded to beta release candidate 2004-03-31 of R 1.9.0
    
    r-base (1.8.1.cvs.20040321-1) unstable; urgency=low
    
      * Upgraded to beta release candidate 2004-03-21 of R 1.9.0
    
    r-base (1.8.1.cvs.20040314-1) unstable; urgency=low
    
      * Upgraded to release candidate 2004-03-14 of R 1.9.0
    
    r-base (1.8.1.cvs.20040307-1) unstable; urgency=low
    
      * Upgraded to release candidate 2004-03-07 of R 1.9.0
    
    r-base (1.8.1.cvs.20040229-2) unstable; urgency=low
    
      * debian/control: Declare Replaces: r-recommended as well for r-base-html
        and r-base-latex as they contain parts of 'grid' which used to be in
        r-recommended, but is now in r-base-core and these two (Closes: #235891)
      
      * debian/rules: Do not ship usr/share/info/dir(.old) (Closes: #235713)
    
    r-base (1.8.1.cvs.20040229-1) unstable; urgency=low
    
      * Upgraded to release candidate 2004-02-29 of R 1.9.0
      
      * debian/rules changes to configure call
         --without-r-recommended (as r-recommended is now a meta-package)
         --with-bzlib to override default of no
         --with-pcre to override default of no
         --with-zlib to override default of no
         R_BROWSER=sensible-browser to not depend on mozilla
    
      * debian/control: r-base-core Replace r-recommended (<= 1.8.1-1) as 
        the grid package moved 
      
      * debian/control: r-recommended is now a metapackage that depends on the
        individual packages which are now part of the Debian distribution; 
        and added appropriate Depends for all of them
      * debian/rules: Hence 'configure [...] --without-recommended-packages	[...]'
      * debian/control: Added Conflicts: r-recommended (<< 1.9.0) to r-base-core
      
      * debian/rules: In make-arch target, now call "make docs" with 
        R_CMD_BUILD_HELP_OPTS="--txt --example" to build only the documentation 
        needed for binary-arch targets (thanks to Kurt Hornik for enabling this)
      
      * debian/rules: configure with PAGER=/usr/bin/pager as all the good
        reasons pointed out in #230524 regarding octave2.1 apply to R too
      
      * debian/control: Depends for r-base-dev changed from the imperfect 
        "g77 | f2c" to to "g77 | m68k, f2c | not+m68k, type-handling" with 
        thanks to Wouter Verhelst
      
      * debian/control: Changed Build-Depends from 'blas-dev (>=1.0-9),lapack-dev'
         to 'refblas3-dev | atlas3-base-dev, lapack3-dev | atlas3-base-dev'
      * debian/control: Dito for Depends: for r-base-dev 
      * debian/rules: Set configure arguments for refblas3/atlas3 and 
        lapack3/atlas3, respectively, instead of blas/atlas v2.
    
    r-base (1.8.1-2) unstable; urgency=low
    
      * debian/control: Added to Build-Depends
         libpaper-utils for paperconf
         libjpeg62-dev for jpeg (thanks to Kurt Hornik for the suggestion)
         libprce3-dev for pcre
         linpng12-dev for png
         zlib1g-dev for zlib
        
      * debian/control: Added to Depends for r-base-dev
         libjpeg62-dev, libpcre3-dev  (thanks to Kurt Hornik for the suggestion)
    
    r-base (1.8.1-1) unstable; urgency=low
    
      * Upgraded to version 1.8.1 released today
      
      * debian/control: Move r-base-html and r-base-latex from the Depends: for
        r-base to Recommends: as one cannot depend on packages of lower priority
      * debian/rules: Use --without-blas on arm
    
    r-base (1.8.0.cvs.20031114-1) unstable; urgency=low
    
      * Upgraded to the initial 1.8.1 beta release of 2003-11-14
    
    r-base (1.8.0.cvs.20031107-1) unstable; urgency=low
    
      * Upgraded to the initial 1.8.1 alpha release of 2003-11-07
      * debian/rules: Configure with R_PRINTCMD=/usr/bin/lpr (Closes: #219419)
    
    r-base (1.8.0.cvs.20031101-1) unstable; urgency=low
    
      * Upgraded to 1.8.0 patched aka pre-1.8.1 as of 2003-11-01
      * Also upgraded R-recommended via rsync
      * debian/rules: make docs has to be called when binary-arch is built 
    
    r-base (1.8.0.cvs.20031024-1) unstable; urgency=low
    
      * Upgraded to 1.8.0 patched as of 2003-10-24
      * Also upgraded R-recommended via rsync
      * To avoid possible upgrade conflicts with pre-releases of 1.8.1, we 
        use previously used ".cvs.YYYYMMDD" naming convention for the package
      * debian/rules: 'make {docs,help,html}' are now called in binary-indep
        which was not possible with earlier versions of R; however as make
        recommended implies make doc, we manually descend into its top dir.
    
    r-base (1.8.0-2) unstable; urgency=low
    
      * With a big thanks to Camm Maguire for investigating this problem,
        we are reverting back to the previously used setup of defaulting to 
        Blas while automagically switching to Atlas where installed:
        - debian/rules: Patch R.sh.in to disable use of R_LD_LIBRARY_PATH (beyond
          the required $R_HOME/nbin) which conflicts with Debian's transparent 
          switch of Atlas for Blas (as /usr/lib/libblas would be found instead)
        - debian/rules: Configure again with --with-blas=blas
        - debian/control: Hence remove Depends: on atlas2-base-dev | atlas2-dev
        - debian/shlibs.local: Remove, no longer needed
        - debian/rules: No longer need to postprocess Depends
        - debian/rules: Other small cleanups
    
    r-base (1.8.0-1) unstable; urgency=low
    
      * Upgraded to version 1.8.0 released today
    
    r-base (1.7.1.cvs.20031004-1) unstable; urgency=low
    
      * Upgraded to release candidate 1.8.0beta_2003-10-04 of R 1.8.0
      * debian/control: Change Depends: to atlas2-base-dev | atlas2-dev 
    
    r-base (1.7.1.cvs.20030927-1) unstable; urgency=low
    
      * Upgraded to release candidate 1.8.0beta_2003-09-27 of R 1.8.0
      * debian/control: Add Depends: on atlas2-dev for r-base-dev
    
    r-base (1.7.1.cvs.20030920-1) unstable; urgency=low
    
      * Upgraded to release candidate 1.8.0alpha_2003-09-20 of R 1.8.0
      * debian/{r-base-core,r-gnome}.menu: Small beautifications
    
    r-base (1.7.1.cvs.20030913-1) unstable; urgency=low
    
      * Upgraded to release candidate 1.8.0alpha_2003-09-13 of R 1.8.0
    
    r-base (1.7.1.cvs.20030906-1) unstable; urgency=low
    
      * Upgraded to release candidate 2003-09-06 of R 1.8.0
    
    r-base (1.7.1.cvs.20030830-1) unstable; urgency=low
    
      * Upgraded to release candidate 2003-08-30 of R 1.8.0
    
    r-base (1.7.1.cvs.20030822-1) unstable; urgency=low
    
      * Upgraded to release candidate 2003-08-22 of R 1.8.0
      * debian/control: Standards-Version increased to 3.6.1.0
    
    r-base (1.7.1.cvs.20030814-1) unstable; urgency=low
    
      * Upgraded to release candidate 2003-08-14 of R 1.7.2 (or 1.8.0)
    
    r-base (1.7.1.cvs.20030808-1) unstable; urgency=low
    
      * Upgraded to release candidate 2003-08-08 of R 1.7.2 (or 1.8.0)
      * Upstream release candidate sources do not contain the source for the
        r-recommended package so tools/rsync-recommended was used to obtain
        these and a new, Debian-only, orig.tar.gz of both was created
      * debian/control: r-base-dev now has a versioned Depends on r-base-core
        which requires equal version numbers between the two (Closes: #199295)
      * debian/control: Upgraded Standards-Version to 3.6.0
    
    r-base (1.7.1-1) unstable; urgency=low
    
      * New upstream version 1.7.1 released today
    
    r-base (1.7.0.cvs.20030607-1) unstable; urgency=low
    
      * Upgraded to initial release candidate (dated 2003-06-07) of R 1.7.1
      * debian/{control,rules}: Switch back to default compiler version as 3.3 
        is in unstable and testing; m68k still needs f2c for Fortan code
    
    r-base (1.7.0.cvs.20030602-1) unstable; urgency=low
    
      * Upgraded to initial release candidate (dated 2003-06-02) of R 1.7.1
      * debian/{rules,control}: Try f2c on m68k as a last resort
    
    r-base (1.7.0.cvs.20030526-1) unstable; urgency=low
    
      * Upgraded to release candidate 2003-05-26 of R 1.7.1
      * Manually rsync'ed r-recommendeds sources as R-patched pre-release do
        not comprise r-recommended, also manually re-built upstream tarball
      * debian/control: Require gcc/g++/g77-3.2 as version 3.3 is in unstable
        gcc 3.2 works fine everywhere with the exception of m68k (Closes: #194175)
      * debian/shlibs.local: Have libatlas imply either the actual atlas2-base 
        or the virtual atlas2 provided by tuned libraries (Closes: #193831)
      * debian/control: Added 'xpdf-reader | pdf-viewer' to Build-Depends
      * debian/control: Upgraded Standards-Version to 3.5.10
    
    r-base (1.7.0-3) unstable; urgency=low
    
      * debian/rules: No longer configure for use of an external lapack library
        as some numerical infelicities have come up on shore.
      * debian/rules: Now call configure --with-blas=atlas for Atlas / Blas 
      * debian/shlibs.local: add '| blas | blas2' to 'libatlas 2 atlas2-base'
      * debian/control: r-gnome Recommends: r-cran-gtkdevice (Closes: #190735)
    
    r-base (1.7.0-2) unstable; urgency=low
    
      * debian/control: r-recommended Description updates w.r.t. MASS edition
      * debian/rules: Remove Depends of r-recommended on atlas2-base as it is 
        neither 'virtual' nor required as r-recommnded itself depends on 
        r-base-core so that we get its Depends on atlas2-base | blas2 | blas
    
    r-base (1.7.0-1) unstable; urgency=low
    
      * New upstream release
    
    r-base (1.6.2.cvs.20030413-1) unstable; urgency=low
    
      * Upgraded to release candidate dated 2003-04-13 of R 1.7.0
      * debian/control: Section set to gnome for r-gnome
      * debian/r-recommended.preinst: rm doc dir (Closes: #188995)
    
    r-base (1.6.2.cvs.20030409-1) unstable; urgency=low
    
      * Upgraded to release candidate dated 2003-04-09 of R 1.7.0
      * debian/rules: Hack result of dh_shlibdeps with Perl to remove the
        double atlas2 entry caused by the virtual depends on blas and lapack
      * debian/rules: Small improvement to R_LIBS patch to conform with
        standard of respecting prior settings, if any, of the variable
      * debian/control: Upgraded Standards-Version to 3.5.9
    
    r-base (1.6.2.cvs.20030405-1) unstable; urgency=low
    
      * Upgraded to release candidate dated 2003-04-05 of R 1.7.0
      * debian/rules: Configure with --with-blas, not --with-blas=blas
      * debian/r-base-core.prerm: s/treu/true/
      * debian/rules: Link $R_HOME/doc into /usr/share/doc/r-base-core, rather
        than its subdirectories doc and manual as e.g. manual link could be
        dangling if r-doc-pdf is not installed (Closes: #187573)
    
    r-base (1.6.2.cvs.20030403-1) unstable; urgency=low
    
      * Upgraded to release candidate dated 2003-04-03 of R 1.7.0
      * debian/rules: Add R_LIBS setting to /etc/R/Renviron such that 
        user-installed packages will be in /usr/local/lib/R/site-library,
        Debian packages will install into /usr/lib/R/site-library and
        the r-base-core and r-recommended packages will use the standard
        /usr/lib/R/library directory
      * debian/r-base-core.dirs: Add /usr/lib/R/site-library
      * debian/r-base-core.postinst: Add failsafe creation of directory
        /usr/local/lib/R/site-library as per Policy section 10.1.2
      * debian/r-base-core.prerm: Add failsafe creation of directory
        /usr/local/lib/R/site-library as per Policy section 10.1.2
    
    r-base (1.6.2.cvs.20030331-1) unstable; urgency=low
    
      * Upgraded to release candidate dated 2003-03-30 of R 1.7.0
      * debian/control: Added lapack-dev to Depends for r-base-dev
      * debian/rules: Removed rrecommended tests
    
    r-base (1.6.2.cvs.20030330-1) unstable; urgency=low
    
      * Upgraded to release candidate dated 2003-03-30 of R 1.7.0
      * Upstream sources fix the problem reported in #186857 (Closes: #186857)
    
    r-base (1.6.2.cvs.20030326-1) unstable; urgency=low
    
      * Upgraded to release candidate dated 2003-03-26 of R 1.7.0
      * debian/rules: Configure with --with-lapack
      * debian/control: Build-Depends on lapack-dev
      * debian/rules: Explicitly use gcc/g77/g++-3.2 for builds on testing
      * debian/r-gnome.menu: The Needs: entry was corrected to "x11"
    
    r-base (1.6.2-2) unstable; urgency=low
    
      * Rebuilding on Debian unstable with gcc/g++/g77 as the new default
      * debian/control: Depends g77 (>= 3.2.2), g++ (>= 3.2.2) for r-base{,-dev}
      * debian/rules: Adjusted accordingly by defaulting to gcc, g++, g77
    
    r-base (1.6.2-1) unstable; urgency=low
    
      * New upstream version 1.6.2 released today
      * debian/r-base-core.lintian: Added exceptions for 
        image-file-in-usr-lib usr/lib/R/doc/html/{left,logo,logosm,right,up}.jpg
      * debian/rules: Substitute Perl path to /usr/bin/perl for 
        usr/lib/R/bin/{Rdconv,Rdindex,Rprof,Sd2Rd,build,check}
    
    r-base (1.6.1.cvs.20030103-1) unstable; urgency=low
    
      * Upgraded to release candidate dated 2003-01-03 of R 1.6.2
    
    r-base (1.6.1.cvs.20021230-1) unstable; urgency=low
    
      * Upgraded to release candidate dated 2002-12-30 of R 1.6.2
      * Added Douglas Bates as an Uploader following email discussion with Dirk
    
    r-base (1.6.1-3) unstable; urgency=low
    
      * debian/{control,rules}: Configure switch from f2c to g77 for m68k
      * debian/{control,rules}: Configure switch from tcl/tk8.3 to tcl/tk8.4
      * debian/control: Added libpaperg-dev to Build-Depends (Closes: #168259)
      * debian/r-base-control: Substitute result from paperconf call 
        into $R_HOME/etc/Renviron, not /usr/bin/R 
      * debian/rules: Move $R_HOME/etc/* files into /etc/R/ (Closes: #170018)
    
    r-base (1.6.1-2) unstable; urgency=low
    
      * Rebuilt with support for bzip2 (compression) and pcre (reg.expressions)
      * debian/control: Added libbz2-dev and libpcre3-dev to Build-Depends
      * debian/rules: Set R_BROWSER to /usr/bin/mozilla in $R_HOME/etc/Renviron
    
    r-base (1.6.1-1) unstable; urgency=low
    
      * Upgraded to R version 1.6.1 released today
    
    r-base (1.6.0.rel.20021024-1) unstable; urgency=low
    
      * Upgraded to release candidate dated 2002-10-24 of R 1.6.1
      * debian/control: Set section for r-base-dev to devel
      * debian/r-doc-info.prerm: Add upgrade target
    
    r-base (1.6.0.rel.20021017-1) unstable; urgency=low
    
      * Upgraded to first release candidate (dated 2002-10-17) of R 1.6.1
      * Since 1.6.0, the R Core upstream stream now bundles the sources 
        of the r-recommended package directly in the r-base sources -- thus 
        the source package r-recommended will be replaced by a binary 
        package derived from these sources
      * debian/control: Added new package r-recommended
      * debian/r-recommended.{files,links}: Defined accordingly
      * debian/copyright: Include the copyright file from r-recommended
    
    r-base (1.6.0.rel-1) unstable; urgency=low
    
      * Upgraded to new upstream release 1.6.0 [ which we need to rename
        1.6.0.rel so that is sorts higher than 1.6.0.rc.20020927 ]
    
    r-base (1.6.0.rc.20020927-1) unstable; urgency=low
    
      * Upgraded to new release candidate of R 1.6.0
    
    r-base (1.6.0.rc.20020917-1) unstable; urgency=low
    
      * Upgraded to new release candidate of R 1.6.0
    
    r-base (1.6.0.rc.20020910-1) unstable; urgency=low
    
      * First release candidate of R 1.6.0 which is scheduled to be released on
        October 1, 2002 -- this release corresponds to the first feature freeze
      * debian/control: More Suggests: of the r-doc-* packages
    9a058e8f
r-doc-html.doc-base.lang 359 Bytes